/*
 *   Copyright (c) 1998 T. Kamei (kamei@jsdlab.co.jp)
 *
 *   Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted provided
 * that the above copyright notice and this permission notice appear
 * in all copies of the software and related documentation.
 *
 *                          NO WARRANTY
 *
 *   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY WARRANTIES;
 * WITHOUT EVEN THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

#ifndef _dialog_h_
# define _dialog_h_

# include "resource.h"

struct replace_param
{
  const char *old_name;
  DWORD old_date;
  long old_size;
  const char *new_name;
  DWORD new_date;
  long new_size;
};

int replace_dialog (HWND, const replace_param &);

class progress_dlg
{
public:
  HWND hwnd;
  progress_dlg () : hwnd (0) {}
  ~progress_dlg () {if (hwnd) DestroyWindow (hwnd);}
  int create (HWND);
  int init (const char *, int) const;
  int update (int) const;
  friend BOOL CALLBACK progress_dlgproc (HWND, UINT, WPARAM, LPARAM);
  BOOL wndproc (UINT, WPARAM, LPARAM);
};

char *askpass_dialog (HWND);

#endif
